View Issue Details

IDProjectCategoryView StatusLast Update
0001291ECLERD[All Projects] Generalpublic2016-08-28 18:41
ReporterXenostomAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Versionv0 
Target VersionFixed in Version0.1.1 
Summary0001291: Les cases ont un type
DescriptionUne case doit avoir une altitude ainsi qu'un type (sable, herbe, roche, mer). Pour une case de mer, l'altitude est donc la profondeur.
Certains batiments ne pourront pas être construits sur certains types de cases.
TagsNo tags attached.
Attach Tags

Relationships

parent of 0001277 CloseXenos ECLERD Zoom case 
related to 0001292 CloseXenos ECLERD Les cases ont un sous-sol 
child of 0001290 CloseXenos [Abandon] Isometry Construire des usines 
child of 0001293 Close [Abandon] Isometry Altérer l'altitude d'une case 

Activities

Xenos

Xenos

2016-08-12 23:30

administrator   ~0002140

Ok pour l'altitude!
Pour le typage, je verrai demain.
Xenos

Xenos

2016-08-13 12:14

administrator   ~0002141

Last edited: 2016-08-27 23:40

Colonne d'eau ajoutée, en se basant sur l'altitude absolue (et non celle relative au sol: tout sera basé sur l'altitude absolue, en mètres).

En revanche, je laisse tomber le "type" de case: pour l'instant, cela n'apporte rien au gameplay. Je vais uniquement ajouter le paramètre de "fertilité" de la case (je ne sais pas encore sous quelle forme: colonne DOUBLE, ou couches sous-terraines?), et de ce paramètre, on pourra éventuellement en déduire si la case est sablonneuse ou non.
Xenos

Xenos

2016-08-13 15:44

administrator   ~0002142

Last edited: 2016-08-27 23:40

Le calcul de typage fait dans le SQL pourrait être centralisé ou rendu plus propre, mais tant pis (ça se généraliserait surement bien aux cases pays du coup).

Typage ajouté, calculé à partir de l'état de la case (y'a de l'eau dessus? Y'a de la foret? de la biomasse [ie: de la végétation mais pas du bois]? est-elle fertile? à quelle altitu se trouve-t-on?)
Xenos

Xenos

2016-08-28 18:41

administrator   ~0002189

Typage centralisé dans une fonction, calculé à la volée et stocké dans la BDD pour les cases "country". Non stocké pour les autres.

Issue History

Date Modified Username Field Change
2016-04-29 18:23 Xenostom New Issue
2016-04-29 18:23 Xenostom Status New => Understood
2016-04-29 21:16 Xenos Relationship added parent of 0001277
2016-04-29 21:16 Xenos Relationship added child of 0001290
2016-04-29 21:16 Xenos Relationship added related to 0001292
2016-04-29 21:17 Xenos Relationship added child of 0001293
2016-04-29 21:23 Xenos Status Understood => Accepted
2016-08-12 21:51 Xenos Assigned To => Xenos
2016-08-12 21:51 Xenos Status Accepted => In progress
2016-08-12 23:30 Xenos Note Added: 0002140
2016-08-13 12:14 Xenos Note Added: 0002141
2016-08-13 15:44 Xenos Note Added: 0002142
2016-08-13 15:44 Xenos Status In progress => Ready
2016-08-13 15:44 Xenos Resolution open => fixed
2016-08-27 23:39 AutoUpdater Status Ready => Resolved
2016-08-27 23:40 AutoUpdater Fixed in Version => 0.1.1
2016-08-28 18:41 Xenos Note Added: 0002189
2016-08-28 18:41 Xenos Status Resolved => Close